Gentoo Archives: gentoo-dev

From: Mike Frysinger <vapier@g.o>
To: gentoo-dev@l.g.o
Subject: Re: [gentoo-dev] Does libtool really support parallel make installs?
Date: Wed, 16 Jun 2010 20:11:28
In Reply to: Re: [gentoo-dev] Does libtool really support parallel make installs? by Pacho Ramos
On Wed, Jun 16, 2010 at 3:54 PM, Pacho Ramos wrote:
> El mié, 16-06-2010 a las 15:47 -0400, Mike Frysinger escribió: >> On Wed, Jun 16, 2010 at 7:41 AM, Pacho Ramos wrote: >> > Trying to move the following bug to upstream: >> > >> > >> > He replied the following: >> > "libtool doesn't support parallel make installs. Please file a bug >> > upstream." >> > >> > >> > >> > Is it true? Should -j1 be forced then for all installs relaying on >> > libtool? >> >> ive seen no information to show that this isnt true.  Lennart needs to >> provide real information explaining why he thinks his statement is >> true. >> >> at any rate, why is this bug still open and why are you pushing it >> upstream ?  it only applies to <=0.11, and 0.22 is stable in the tree. > > It doesn't apply only to <=0.11, as can be seen in duplicates, it still > affects to recent version appearing on some setups from time to time :-/
not all of those dupes are correct, or the same issue. like Bug 287389 which is a bug in the configure step due to a broken toolchain (which is already fixed and is a dupe of a different bug). or libltdl which features prominently in the oldest and no longer exists in recent versions. at any rate, you really should clean it up with the latest error, or simply punt it in favor of only the latest relevant information (like Bug 282730). -mike